import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

// Tauri 开发模式下由 tauri CLI 启动本服务
export default defineConfig({
  plugins: [react()],
  clearScreen: false,
  server: {
    port: 5173,
    strictPort: true
  },
  build: {
    outDir: 'dist',
    target: 'es2022'
  }
})
